<template>
  <q-page padding>
    <q-toolbar class="bg-blue-grey text-white shadow-2 rounded-borders">
      Importacion de Afiliacion: &nbsp;
      <q-space />
      <div class="q-gutter-xs">
        <q-btn
          flat
          dense
          icon="attach_file"
          label="Subir Archivo"
          href="/membresia/afiliacion/carga"
        />
      </div>
    </q-toolbar>

    <q-card class="q-mt-md">
      <q-expansion-item
        dark
        v-for="item in dataSet"
        :key="item.uuid"
        header-class="bg-primary text-white"
      >
        <template v-slot:header>
          <q-item-section>
            <q-item-label> Proceso : {{ item.uuid }}</q-item-label>
            <q-item-label caption lines="2">
              Fecha : {{ item.created_at }}
            </q-item-label>
            <q-item-label caption lines="2">
              Procesado por : {{ item.personas.apellidoynombre }}
            </q-item-label>
          </q-item-section>
          <q-item-section side>
            {{ item.afiliaciones_estado.nombre }}
          </q-item-section>
        </template>

        <q-card>
          <q-list
            v-for="(index, detalle) in item.resumen"
            :key="index"
            bordered
          >
            <q-item>
              <q-item-section> {{ index }} - {{ detalle }} </q-item-section>
            </q-item>
          </q-list>
        </q-card>
      </q-expansion-item>
    </q-card>

    <Loading :showing="loading" />
  </q-page>
</template>

<script lang="ts">
import { defineComponent, ref, onMounted } from 'vue';
import { api } from 'src/boot/axios/index';
import { AxiosResponse } from 'axios';
import Loading from 'src/components/Loading.vue';

export default defineComponent({
  name: 'PendientesCierrePartial',
  components: { Loading },
  setup() {
    const loading = ref(true);

    onMounted(() => {
      getAfiliaciones();
    });

    const dataSet = ref();
    function getAfiliaciones() {
      api
        .get('/api/persona/afiliacion/')
        .then((response: AxiosResponse) => {
          dataSet.value = response.data.data;
        })
        .finally(() => {
          loading.value = false;
        });
    }

    return { loading, dataSet };
  },
});
</script>
